linux-mips
[Top] [All Lists]

Re: about mipsel linux thread problem

To: Barry Wu <wqb123@yahoo.com>
Subject: Re: about mipsel linux thread problem
From: Ralf Baechle <ralf@oss.sgi.com>
Date: Thu, 19 Jul 2001 12:23:24 +0200
Cc: linux-mips@oss.sgi.com
In-reply-to: <20010719030136.63012.qmail@web13905.mail.yahoo.com>; from wqb123@yahoo.com on Wed, Jul 18, 2001 at 08:01:36PM -0700
References: <20010719030136.63012.qmail@web13905.mail.yahoo.com>
Sender: owner-linux-mips@oss.sgi.com
User-agent: Mutt/1.2.5i
On Wed, Jul 18, 2001 at 08:01:36PM -0700, Barry Wu wrote:

> I just port mipsel linux 2.2.12 to our mips evaluation
> board, and I use glibc-2.0.6-5l and linuxthread 0.7.
> But when I run linuxthread application on it.
> The application reports "Bus error".
> I add some print information in linuxthreads source
> code, and find that when call
> linuxthreads/restart.h  suspend() function, the
> application will Bus error.
> I do not know which glibc and linuxthreads version
> can support mips linux well. And I do not know what
> the problem I meet is.

Please upgrade to glibc 2.2.x which will work much better.  Linuxthreads
is known to be broken with glibc 2.0 and nobody here intends to fix it as
glibc 2.0 is so old.

  Ralf

<Prev in Thread] Current Thread [Next in Thread>